import { Entity, Column, PrimaryColumn, Index } from "typeorm";

@Entity()
@Index(["username", "host"], { unique: true })
export class User {
  @PrimaryColumn("text")
  id: string;
  @Column("text", { nullable: false })
  username: string;
  @Column("text", { nullable: true })
  host: string | null;
}
